/*******************************************************************
 *	Copyright (c) 1994-1998 Jetico, Inc., Finland
 *	All rights reserved.
 *
 *	File:		driver/bc_cfg.h
 *
 *	Description:	bestcrypt configuration
 *
 *	Scope:		BestCrypt pseudo-device driver
 *
 *	Platforms:	Linux
 * 
 *	Author:		Nail R. Kaipov
 *
 *	Created:	15-Sep-1999
 *
 *	Revision:	
 *
 *******************************************************************/
 
#ifndef __BC_CFG_H__
#define __BC_CFG_H__

#include <linux/config.h>

#ifndef CONFIG_MODULES
#  error You must have kernel with loadable modules support
#endif

#ifdef CONFIG_SMP
#  ifndef __SMP__
#    define __SMP__
#  endif
#endif

#ifndef __GENKSYMS__
#  ifdef CONFIG_MODVERSIONS
#    define MODVERSIONS
#    include <linux/modversions.h>
#    include "bc_dev.ver"
#  endif
#endif

#include <linux/version.h>

#define BC_VERSION_STRING "BestCrypt v0.3b for linux kernels 2.2.x & 2.3.x"

#endif /* __BC_CNF_H__ */
