#ifndef __BC_ERROR_H__
#define __BC_ERROR_H__

#include <linux/errno.h>

#define	BC_NO_ERROR	(0)

//#ifdef __KERNEL__

/* from bc_dev.c bc drivers errors */
#define	BC_DEV_OK		BC_NO_ERROR
#define	BC_DEV_NO_MEM		(-001001)

/* from bc_mgr.c bc alg manager errors */
#define	BC_MGR_OK		BC_NO_ERROR
#define	BC_MGR_NO_MEM		(-002001)

/* from bc_alg.c bc algorithm drivers' errors */
#define	BC_ALG_OK		BC_NO_ERROR
#define	BC_ALG_NO_MEM		(-003001)
#define	BC_ALG_NO_ALG		(-003002)
#define	BC_ALG_NO_KEY		(-003003)
#define	BC_ALG_NO_DATA		(-003004)
#define	BC_ALG_BAD_KEY		(-003011)
#define	BC_ALG_BAD_DATA		(-003012)

//#endif /* __KERNEL__ */

/* from token.c - .conf file processing 
#define	BC_CONF_OK		BC_NO_ERROR
#define	BC_CONF_BAD_FNAME	(-100001)
#define	BC_CONF_FOPEN_ERR	(-100002)
#define	BC_CONF_BAD_FILE	(-100003)
*/
#endif
